export interface Json2htmlAttr {
    [key: string]: string | number | null;
}
export declare type Json2htmlBody = (Json2htmlRef | string)[] | Json2htmlRef | string;
export interface Json2htmlRef {
    tag: string;
    attrs?: Json2htmlAttr;
    body?: Json2htmlBody;
}
export interface Json2htmlOptions {
    formatting?: 'inline' | 'multiline';
    spaceType?: 'space' | 'tab';
    spaceLength?: number;
    spaceBase?: number;
    maxLenght?: number;
    attrPosition?: 'inline' | 'space' | 'alignTag' | 'alignFirstAttr';
    indent?: boolean;
    noContentTags?: string[];
}
export declare class Json2html {
    json: Json2htmlRef | Json2htmlRef[];
    readonly options: Json2htmlOptions;
    constructor(json: Json2htmlRef | Json2htmlRef[], option?: Json2htmlOptions);
    toString(): string;
    private _generate;
    private _generateAttrs;
    private _generateBody;
    private _generateBodyElement;
    private _hasMultiline;
    private _getSpacing;
}
